import { type Account, type Address, type Client, type Hash, type Hex, type PublicClient, type Transport } from 'viem';
import type { ChainEIP712 } from 'viem/chains';
import { type SessionConfig } from '../sessions.js';
export interface CreateSessionParameters {
    session: SessionConfig;
    paymaster?: Address;
    paymasterInput?: Hex;
}
export interface CreateSessionReturnType {
    transactionHash: Hash | undefined;
    session: SessionConfig;
}
export declare function createSession(client: Client<Transport, ChainEIP712, Account>, publicClient: PublicClient<Transport, ChainEIP712>, args: CreateSessionParameters): Promise<CreateSessionReturnType>;
//# sourceMappingURL=createSession.d.ts.map